Winnetwk.NETRESOURCE (JNA API)

com.sun.jna.platform.win32

## Class Winnetwk.NETRESOURCE

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Winnetwk.NETRESOURCE

- Direct Known Subclasses:
    Winnetwk.NETRESOURCE.ByReference
  Enclosing class:
    Winnetwk

      public static class Winnetwk.NETRESOURCE
      extends Structure

  The NETRESOURCE structure contains information about a network resource.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Winnetwk.NETRESOURCE.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `dwDisplayType` The display options for the network object in a network browsing user interface.
    `int` | `dwScope` The scope of the enumeration.
    `int` | `dwType` The type of resource.
    `int` | `dwUsage` A set of bit flags describing how the resource can be used.
    `static java.util.List<java.lang.String>` | `FIELDS`
    `java.lang.String` | `lpComment` A pointer to a NULL-terminated string that contains a comment supplied by the network provider.
    `java.lang.String` | `lpLocalName` If the dwScope member is equal to RESOURCE_CONNECTED or RESOURCE_REMEMBERED, this member is a pointer to a null-terminated character string that specifies the name of a local device.
    `java.lang.String` | `lpProvider` A pointer to a NULL-terminated string that contains the name of the provider that owns the resource.
    `java.lang.String` | `lpRemoteName` If the entry is a network resource, this member is a pointer to a null-terminated character string that specifies the remote network name.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NETRESOURCE()`
    `NETRESOURCE(Pointer address)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List<java.lang.String>` | `getFieldOrder()` Return this Structure's field names in their proper order.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FIELDS

          public static final java.util.List<java.lang.String> FIELDS

    - #### dwScope

          public int dwScope

      The scope of the enumeration. This member can be one of the values defined in class NetResourceSope.

    - #### dwType

          public int dwType

      The type of resource. This member can be one of first 3 values defined in the NetResourceType.

    - #### dwDisplayType

          public int dwDisplayType

      The display options for the network object in a network browsing user interface. This member can be one of the values defined in the NetResourceDisplayType.

    - #### dwUsage

          public int dwUsage

      A set of bit flags describing how the resource can be used.

    - #### lpLocalName

          public java.lang.String lpLocalName

      If the dwScope member is equal to RESOURCE_CONNECTED or RESOURCE_REMEMBERED, this member is a pointer to a null-terminated character string that specifies the name of a local device. This member is NULL if the connection does not use a device.

    - #### lpRemoteName

          public java.lang.String lpRemoteName

      If the entry is a network resource, this member is a pointer to a null-terminated character string that specifies the remote network name. If the entry is a current or persistent connection, lpRemoteName member points to the network name associated with the name pointed to by the lpLocalName member. The string can be MAX_PATH characters in length, and it must follow the network provider's naming conventions

    - #### lpComment

          public java.lang.String lpComment

      A pointer to a NULL-terminated string that contains a comment supplied by the network provider.

    - #### lpProvider

          public java.lang.String lpProvider

      A pointer to a NULL-terminated string that contains the name of the provider that owns the resource. This member can be NULL if the provider name is unknown. To retrieve the provider name, you can call the WNetGetProviderName function.

  - ### Constructor Detail

    - #### NETRESOURCE

          public NETRESOURCE()

    - #### NETRESOURCE

          public NETRESOURCE(Pointer address)

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List<java.lang.String> getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`
      Returns:
        ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.